Search found 284 matches

Go to advanced search

by chakkree
Sun Jun 02, 2019 10:09 am
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 138
Views: 6361

Re: Automate Reinforcement GSoC proposal

The group of rebar is not a child of structure. but Amrit's picture is inside a column. TestSingleTieFourRebar01.png OS: Windows 10 Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19.16687 (Git) Build type: Release Branch: master Hash: ff1fb11af15a7c5f7f0ba3ef79588e128f397c2c Python ...
by chakkree
Sun Jun 02, 2019 10:03 am
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 138
Views: 6361

Re: Automate Reinforcement GSoC proposal

Suraj Dadral wrote:
Sat Jun 01, 2019 1:27 pm
Hi @chakkree
Try using latest branch "automate"

Thanks,
Ok, from your branch, I can run to create rebar in a column and can be re-edit

TestSingleTieFourRebar.png
TestSingleTieFourRebar.png (437.99 KiB) Viewed 232 times
by chakkree
Sat Jun 01, 2019 8:43 am
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 138
Views: 6361

Re: Automate Reinforcement GSoC proposal

After I fixed "SingleTie.py" by insert "import FreeCAD". The Dialog is shown, but when I click "Apply" button, Rebar is not insert to the column TestColumnDialog.png OS: Windows 10 Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19.16687 (Git) Build type: Release Branch: master Hash:...
by chakkree
Sat Jun 01, 2019 8:34 am
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 138
Views: 6361

Re: Automate Reinforcement GSoC proposal

When I click on "Column Reinforcement" toolbars, In "Report View" window show error as below.


\Reinforcement\ColumnReinforcement\SingleTie.py", line 29, in <module>
if FreeCAD.GuiUp:

name 'FreeCAD' is not defined
by chakkree
Sat May 04, 2019 6:07 pm
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 138
Views: 6361

Re: Automate Reinforcement GSoC proposal

Traceback (most recent call last): File "<input>", line 18, in <module> File "C:\Users\User1\AppData\Roaming\FreeCAD\Mod\Reinforcement\ColumnReinforcement\SingleTie.py", line 227, in makeSingleTieFourRebars l_rebar_orientation_cover = getLRebarOrientationCover( NameError: name 'getLRebarOrientation...
by chakkree
Fri May 03, 2019 4:02 am
Forum: Draft, Arch & BIM
Topic: rebar based on wire
Replies: 25
Views: 930

Re: rebar based on wire

Test to change rebar's shape by set new points vector to wire. Test_Rebar_without_Host_02.png """ Word size of FreeCAD: 64-bit Version: 0.19.16616 (Git) Python version: 3.6.6 """ from FreeCAD import Vector import FreeCADGui def changeUShapeRebar(A= 300 , B=1000 , C=300, RebarEndType = 0 ,dia=12): se...
by chakkree
Fri May 03, 2019 3:31 am
Forum: Draft, Arch & BIM
Topic: rebar based on wire
Replies: 25
Views: 930

Re: rebar based on wire

Test for New rebar object without a host. Test_Rebar_without_Host_01.png """ Word size of FreeCAD: 64-bit Version: 0.19.16616 (Git) Python version: 3.6.6 """ # Test Rebar without host , U-shape 5DB12@150 import FreeCAD, Arch, Draft from FreeCAD import Vector Wire = Draft.makeWire([Vector(0, 0, 300),...
by chakkree
Sun Apr 28, 2019 11:36 am
Forum: Open discussion
Topic: 2D structures basic calculations
Replies: 2
Views: 163

Re: 2D structures basic calculations

Test for continous beam with 2 spans. Test02.png """ Test anaStruct for FreeCAD Version: 0.19.16523 (Git) Python version: 3.6.6 """ from anastruct.fem.system import SystemElements ss = SystemElements() ss.add_element(location=[[0, 0], [4, 0]], EA=5e9, EI=8000) ss.add_element(location=[[4, 0], [7, 0]...
by chakkree
Sun Apr 28, 2019 11:33 am
Forum: Open discussion
Topic: 2D structures basic calculations
Replies: 2
Views: 163

Re: 2D structures basic calculations

After I install "anaStuct" to FreeCAD 0.19.16523 PY3(dev). It can be run a macro for a test example. Test01.png """ Test anaStruct for FreeCAD Version: 0.19.16523 (Git) Python version: 3.6.6 """ from anastruct.fem.system import SystemElements # Create a new system object. ss = SystemElements() # Add...
by chakkree
Sun Apr 28, 2019 6:20 am
Forum: Help on using FreeCAD
Topic: Rebar placement problems
Replies: 1
Views: 91

Re: Rebar placement problems

I try to create the footing, but give it one shape. 1. create cube1 by Part WB, size = (8534.4,8534.4,457.2) 2. create cube2by Part WB, size = (6701.2,6701.2,457.2) then move to about middle of cube1 3. cut cube1 by cube2 4. make Arch's structure from the shape in step 3 5. Edit placement of the foo...

Go to advanced search